package com.visios.lipsync_spring_helper.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import com.visios.lipsync_spring_helper.dto.ProcessRequestDto;
import com.visios.lipsync_spring_helper.service.ProcessingService;

import java.util.Map;
import java.util.concurrent.CompletableFuture;

@RestController
@RequestMapping("/api")
@CrossOrigin(origins = "*", allowedHeaders = "*")
public class ProcessingController {

    @Autowired
    private ProcessingService processingService;

    public ProcessingController(ProcessingService processingService) {
        this.processingService = processingService;
    }

    @PostMapping("/start-process")
    public ResponseEntity<Map> startProcess(@RequestBody ProcessRequestDto request) {
        CompletableFuture<Map<String, Object>> result = processingService.processPipeline(request);
        return ResponseEntity.ok(Map.of( "status", 200, "message", "success"));
    }
}

